Bug 1307345 - bfast: FTBFS in rawhide
bfast: FTBFS in rawhide
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bfast (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Huffman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:04 EST by Fedora Release Engineering
Modified: 2016-03-23 07:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 07:44:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (62.11 KB, text/plain)
2016-02-13 16:04 EST, Fedora Release Engineering
no flags Details
root.log (84.79 KB, text/plain)
2016-02-13 16:04 EST, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2016-02-13 16:04 EST, Fedora Release Engineering
no flags Details
Patch to fix the FTBFS (2.50 KB, patch)
2016-02-18 22:42 EST, Ralf Corsepius
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:04:15 EST
Your package bfast failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12807655

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:04:18 EST
Created attachment 1124105 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:04:19 EST
Created attachment 1124106 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:04:20 EST
Created attachment 1124107 [details]
state.log
Comment 4 Ralf Corsepius 2016-02-18 22:42 EST
Created attachment 1128409 [details]
Patch to fix the FTBFS

Trigger of this FTFBS is this package is still relying on gnu89-inlining.

As this feature change was added to GCC-5, I wonder why this wasn't caught during the gcc-5 mass-rebuilt and didn't trigger an F23FTBFS. I assume it actually triggered an F23FTBFS (f23 still ships an f22 package), but the related BZ (RHBZ#1239386) seemingly was prematurely closed.

Anyway, the patch from the attachment should fix this issue and more related issues this package has and bring it back on track.

Unless somebody objects, I will apply this patch to rawhide and f23 in near future.
Comment 5 Upstream Release Monitoring 2016-02-19 04:01:42 EST
verdurin's bfast-0.7.0a-14.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=736899
Comment 6 Jan Kurik 2016-02-24 09:34:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 7 Yaakov Selkowitz 2016-02-24 16:39:32 EST
Shouldn't that be:

"CFLAGS=%optflags -fgnu89-inline"
%configure
Comment 8 Ralf Corsepius 2016-02-25 00:25:09 EST
(In reply to Yaakov Selkowitz from comment #7)
> "CFLAGS=%optflags -fgnu89-inline"
> %configure
Well, it should not matter.

In %build, modern rpm first exports CFLAGS, which is where it later is picked up by %configure:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.e1SA4N
+ umask 022
+ cd /builddir/build/BUILD
+ cd bfast-0.7.0a
+ CFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/r
+ export CFLAGS
...
+ ./configure ...
...

But you are right, %optflags would have been an alternative.



@verdurin: Provided you applied this patch and rebuilt this package, please assign this BZ to you and close this BZ.
Comment 9 Ralf Corsepius 2016-03-23 07:44:40 EDT
Why wasn't this BZ closed? Closing

Note You need to log in before you can comment on or make changes to this bug.